/* $Id: shm_config.h 11433 2007-05-23 11:38:46Z jlaako $ */

/**

    Shared memory object for POSIX/IEEE-1003.1 compliant systems.

    Copyright (C) 2005-2007 Nokia Corporation.

    Contact: Jussi Laako <jussi.laako@nokia.com>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


#ifndef SHM_CONFIG_H
#define SHM_CONFIG_H


/** Define this if your system supports pthread_*_set_pshared()
    functionality.
*/
#undef HAVE_PSHARED 


/** Define this if your system is ancient enough to miss sem_*() and shm_*()
    for example glibc < 2.4.
*/
#define HAVE_ANCIENT


#endif
